#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI1_17.inp");
ofstream f2("BAI1_17.out");
long m,n,d;
long ucln(long a,long b)
{
    long r;
    if(a<b){
        return ucln(b,a);
    }
    r=a%b;
    if(r==0){
        return b;
    }
    else
        return ucln(b,r);
}
int main()
{
    f1>>m>>n;
    d=ucln(m,n);
    f2<<m/d<<" "<<n/d;
    f1.close();
    f2.close();
}
